@import "../../../../assets/css/constants.scss";
.register-title{
    display: flex;
    flex-direction: column;
    padding: 20px 0;
    text-align: center;
    color: currentcolor;
    background-color: var(--cx-color-background);
    a{
        color: inherit;
        padding: 5px;
    }
}
.register-container {
    background: #f7f7f7;
    padding: 150px 0;
    .header-content {
        display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 35px;
    h4 {
        margin-bottom: 25px;
    }
    p {
        max-width: 550px;
    text-align: center;
    font-size: 12px;
    color: #c5c5c5;
    font-weight: 500;
    }
    }
}
.reg-form-wrapper{
        // box-shadow: 0 3px 36px rgba(0, 0, 0, .09);
        background: #f7f7f7;
        padding: 0 40px;
        margin: 0 auto;
        max-width: 500px;
    form{
        margin: 0 auto;
        .mat-form-field{
            width: 100%;
        }
       .reg-btn{
        background-color: $SANED_BTN_PRIMARY;
        border-color: $SANED_BTN_PRIMARY;
        width: 100%;
        color: $PRIMARY_WHITE;
        font-size: 20px;
        padding: 6px;
        &:disabled{
            opacity: 0.5;
        }
        }
        .btn-link{
            font-weight: 400;
            font-size: 14px;
            color: #212738;
            text-decoration: none !important;
            cursor: pointer;
            display: inline-block;
            span {
                color: $SANED_BTN_PRIMARY
            }
        }
        .register-btn {
            width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    border-bottom: 1px solid grey;
    margin-bottom: 10px;
    padding-bottom: 25px;
    button {
        width: 125px;
    float: right;
    height: 40px;
    display: flex;
    align-items: center;
    text-transform: uppercase;
    font-size: 16px;
    justify-content: center;
    border-radius: 6px;
    }
        }
    }
}
.terms-and-condition {
    display: flex;
    .default-set {
      margin-right: 10px;
      margin-top: 5px;
    }
    a {
      color: $SANED_BTN_PRIMARY;
    }
  }
@media only screen and (min-width: 600px) {
    form{
    margin: 0 auto;
    }
    .reg-btn{
        background-color: $SANED_BTN_PRIMARY;
        border-color: $SANED_BTN_PRIMARY;
        width: 100%;
        color: $black;
        font-size: 20px;
        padding: 6px;
            &:disabled{
                opacity: 0.5;
            }
        }
    .btn-link{
        font-weight: 400;
        color: $SANED_BTN_PRIMARY;
        font-size: 1.125rem;
        text-decoration: underline !important;
        cursor: pointer;
        display: inline-block;
    }
}
@media only screen and (max-width: 768px) {
    .register-container {
        padding: 100px 0;
    }
}